-- vi:ft=lua
-- configuration file for io

local hw = Io.system_bus()

local bus = Io.Vi.System_bus
{
  AIC = wrap(hw:match("x1600-aic"));
  CPM = wrap(hw:match("x1600-cpm"));
  DMA = wrap(hw:match("x1600-dma"));
  GPIO = wrap(hw:match("x1600-gpio"));
  I2C = wrap(hw:match("x1600-i2c"));
  RTC = wrap(hw:match("x1600-rtc"));
  SSI = wrap(hw:match("x1600-ssi"));
  TCU = wrap(hw:match("x1600-tcu"));
}

Io.add_vbus("common", bus)
